package de.marcelldietl.blatt1.aufgabe2;

import java.math.BigInteger;

public class Factorial implements Runnable
{
	private BigInteger n;
	
	public Factorial(BigInteger n)
	{
		this.n = n;
	}
	
	public static BigInteger factorial(BigInteger n)
	{
		BigInteger result = BigInteger.ONE;
		
		for (BigInteger i = BigInteger.ONE; i.compareTo(n) <= 0; i = i.add(BigInteger.ONE))
		{
			result = result.multiply(i);
		}
		
		return result;
	}

	@Override
	public void run()
	{
		System.out.println(this.n + "! = " + Factorial.factorial(this.n));
	}
}