package de.marcelldietl.blatt1.aufgabe3;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.math.BigInteger;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingQueue;

public class Main
{
	public static void main(String[] args)
	{	
		BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
	
		BlockingQueue<BigInteger> queue = new LinkedBlockingQueue<BigInteger>();
		Thread t = new Factorial(queue);
		t.start();
		
		while(true)
		{
			System.out.print("Geben sie eine Zahl n ein: ");
			
			try
			{
				String line;
				line = in.readLine();
				
				if (line.length() == 0)
				{
					System.out.println("Goodbye!");
					break;
				}
				
				BigInteger n = new BigInteger(line);
				
				queue.put(n);
			}
			catch (Exception e)
			{
				e.printStackTrace();
			}
		}
		
		t.interrupt();
	}
}
