package de.marcelldietl.blatt1.aufgabe4;

import java.math.BigInteger;
import java.util.concurrent.Callable;

public class Factorial implements Callable<BigInteger>
{
	private BigInteger n;
	
	public Factorial(BigInteger n)
	{
		this.n = n;
	}
	
	public static BigInteger factorial(BigInteger n)
	{
		BigInteger result = BigInteger.ONE;
		
		for (BigInteger i = BigInteger.ONE; i.compareTo(n) <= 0; i = i.add(BigInteger.ONE))
		{
			result = result.multiply(i);
		}
		
		return result;
	}

	@Override
	public BigInteger call()
	{
		return Factorial.factorial(this.n);
	}
}